cascading.operation.state

## Class Status

- java.lang.Object
- - cascading.operation.BaseOperation<java.lang.Boolean>
  - - cascading.operation.state.Status

All Implemented Interfaces:
  DeclaresResults, Filter<java.lang.Boolean>, Operation<java.lang.Boolean>, Traceable, java.io.Serializable

    public class Status
    extends BaseOperation<java.lang.Boolean>
    implements Filter<java.lang.Boolean>

Class Status is a `Filter` that sets the current `FlowProcess` 'status' on the first `Tuple` it sees.

Internally, the `isRemove(cascading.flow.FlowProcess, cascading.operation.FilterCall)` method calls `FlowProcess.setStatus(String)`.

No `Tuple` instances are ever discarded.

See Also:
  `FlowProcess`, `Filter`, Serialized Form

### Field Summary

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`Status(java.lang.String status)` Constructor Status creates a new Status instance.

### Method Summary

Methods
`boolean` `equals(java.lang.Object object)`
`java.lang.String` `getStatus()`
`int` `hashCode()`
`boolean` `isRemove(FlowProcess flowProcess, FilterCall<java.lang.Boolean> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.
`void` `prepare(FlowProcess flowProcess, OperationCall<java.lang.Boolean> operationCall)` Method prepare does nothing, and may safely be overridden.

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

### Constructor Detail

#### Status

    @ConstructorProperties(value="status")
    public Status(java.lang.String status)

Constructor Status creates a new Status instance.

Parameters:
  `status` - of type String

### Method Detail

#### getStatus

    public java.lang.String getStatus()

#### prepare

    public void prepare(FlowProcess flowProcess,
               OperationCall<java.lang.Boolean> operationCall)

Description copied from class: `BaseOperation`
Method prepare does nothing, and may safely be overridden.

Specified by:
  `prepare` in interface `Operation<java.lang.Boolean>`
Overrides:
  `prepare` in class `BaseOperation<java.lang.Boolean>`

#### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                   FilterCall<java.lang.Boolean> filterCall)

Description copied from interface: `Filter`
Method isRemove returns true if input should be removed from the tuple stream.

Specified by:
  `isRemove` in interface `Filter<java.lang.Boolean>`
Parameters:
  `flowProcess` - of type FlowProcess
  `filterCall` - of type FilterCall
Returns:
  boolean

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `BaseOperation<java.lang.Boolean>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `BaseOperation<java.lang.Boolean>`